LSLOCKS(8)

NAME
lslocks - list local system locks

SYNOPSIS
lslocks [options]

DESCRIPTION
lslocks lists information about all the file held locks in a Linux system.

OPTIONS

-p, --pid
    Specify the process id, if none is given, it will display all locks

-h, --help
    Print a help text and exit.

-o, --output list
    Specify which output columns to print. Use --help to get a list of all supported columns.

-n, --noheadings
    Do not print a header line.

-u, --notruncate
    Do not truncate text in columns.

-r, --raw
    Use the raw output format.

OUTPUT

COMMAND
    The command name of the process holding the lock.

PID Process ID which holds the lock.

TYPE
    Type of lock, can be FLOCK (created with flock(2)) or POSIX (created with fcntl(2) and lockf(2))

SIZE
    Size of the locked file.

MODE
    Lock access permissions (read, write).

M   Mandatory state of the lock: 0 if none; 1 if set. (See chmod(1)).

START
    Relative byte offset of the lock.

END Ending offset of the lock.

PATH
    Full path of the lock - if none is found or no permissions to read the path it will fallback to the device's mountpoint. The path might be truncated, use --notruncate to get the full path.

NOTES
The lslocks command is meant to replace the lslk(8) command, originally written by
Victor A. Abell <abe@purdue.edu> and unmaintained since 2001.

AUTHORS
Davidlohr Bueso <dave@gnu.org>

SEE ALSO
flock(1) fcntl(2) lockf(2)

AVAILABILITY
The lslocks command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.